Bug 208258 - net-im/ejabberd: 16.02 broke my ldap auth
Summary: net-im/ejabberd: 16.02 broke my ldap auth
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ashish SHUKLA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-24 11:22 UTC by Marko Cupać
Modified: 2016-04-01 02:17 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (ashish)


Attachments
ejabberd.log (22.24 KB, text/plain)
2016-03-25 15:03 UTC, Marko Cupać
no flags Details
Proposed fix for the issue (2.19 KB, patch)
2016-03-31 15:16 UTC, Ashish SHUKLA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marko Cupać 2016-03-24 11:22:35 UTC
Hi,

after upgrade to 16.02, I can't authenticate from ldap (active directory). It worked fine on 15.X.

Here's the error:

2016-03-24 12:10:15.690 [info] <0.6883.0>@eldap_pool:start_link:61 Err = {'EXIT',{undef,[{eldap,start_link,[<<"#Ref<0.0.1.37169>">>,[<<"IP.ADD.RE.SS">>],389,<<"CN=CONFIDENTIAL,OU=CONFIDENTIAL,OU=CONFIDENTIAL,OU=CONFIDENTIAL,OU=CONFIDENTIAL,DC=example,DC=org">>,<<"CONFIDENTIAL">>,[{encrypt,none},{tls_verify,false},{tls_cacertfile,undefined},{tls_depth,undefined}]],[]},{eldap_pool,'-start_link/7-fun-2-',7,[{file,"src/eldap_pool.erl"},{line,55}]},{lists,foreach,2,[{file,"lists.erl"},{line,1337}]},{ejabberd_auth_ldap,init,1,[{file,"src/ejabberd_auth_ldap.erl"},{line,105}]},{gen_server,init_it,6,[{file,"gen_server.erl"},{line,328}]},{proc_lib,init_p_do_apply,3,[{file,"proc_lib.erl"},{line,240}]}]}}

Thank you in advance,
Comment 1 Ashish SHUKLA freebsd_committer 2016-03-25 12:30:17 UTC
Hi

Thanks for reporting, but the information you provided is not quite sufficient. 

Could you provide complete log file from the session, for me to be able to reproduce it, masking the information specific to your entity, and the configuration ?

Alternatively, you can report this issue upstream at their issue tracker[1] ?

References:
[1] https://github.com/processone/ejabberd/issues

Thanks!
Comment 2 Marko Cupać 2016-03-25 15:03:10 UTC
Created attachment 168619 [details]
ejabberd.log

ejabberd.log with loglevel 5
Comment 3 Ashish SHUKLA freebsd_committer 2016-03-28 12:51:11 UTC
Hey!

Thanks for providing the information.

I am able to reproduce it locally, and have reported it upstream at https://github.com/processone/ejabberd/issues/1037. If you have more information to add or something, then please feel free to follow up there.

Thanks!
Comment 4 Ashish SHUKLA freebsd_committer 2016-03-31 15:16:17 UTC
Created attachment 168834 [details]
Proposed fix for the issue

Hi Marko,

Could you please try this diff, and see if it fixes the issue for you ?

Thanks!
Ashish
Comment 5 Marko Cupać 2016-03-31 17:28:26 UTC
Fixed, thank you!
Comment 6 commit-hook freebsd_committer 2016-04-01 02:17:48 UTC
A commit references this bug:

Author: ashish
Date: Fri Apr  1 02:17:29 UTC 2016
New revision: 412306
URL: https://svnweb.freebsd.org/changeset/ports/412306

Log:
  - Fix LDAP support by re-ordering Erlang library path in ejabberdctl
    template diff
  - Replace /usr/local with %%LOCALBASE%%

  PR:		208258

Changes:
  head/net-im/ejabberd/Makefile
  head/net-im/ejabberd/files/patch-ejabberdctl.template